Name: werken-xpath
Version: 0.9.4
Release: alt0.2beta

Url: http://sourceforge.net/projects/werken-xpath/

Group: Development/Java
Summary: XPath implementation using JDOM
License: Apache Software License-like

Source0: %name-%version-beta-src.tar.bz2
# Patches from Jpackage's build
Patch0: %name-jdom.patch
Patch1: %name-compile.patch
Patch2: %name-tests.patch
# My patches (to build with new jdom)
Patch3: %name-jdom.2.patch
Patch4: %name-IOException.patch

BuildPreReq: /proc rpm-build-java
BuildRequires: ant antlr jdom
Requires: jdom

BuildArch: noarch

%description
werken.xpath is an implementation of the W3C XPath Recommendation, on
top of the JDOM library.  It takes as input a XPath expression, and a
JDOM tree, and returns a NodeSet (java.util.List) of selected
elements.  Is is being used in the development of the
as-yet-unreleased werken.xslt (eXtensible Stylesheet Language) and the
werken.canonical (XML canonicalization) packages.

%package javadoc
Summary: Javadoc for %name
Group: Development/Documentation

%description javadoc
Javadoc for %name.

%prep
%setup -q -n werken.xpath
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p0

# remove all binary libs
rm -f `find . -name "*.jar"`

%build
%set_classpath %_javadir/jdom.jar
%add_classpath %_javadir/antlr.jar
%add_classpath %_javadir/jaxp_parser_impl.jar
%add_classpath %_javadir/xml-commons-apis.jar

%ant_build -Dbuild.compiler=modern package javadoc compile-test
sh runtests.sh

%install
%__mkdir -p %buildroot{%_javadir,%_javadocdir/%name}
# jars
%__cp -p build/*.jar %buildroot%_javadir/%name.jar
# javadoc
%__cp -pr build/apidocs/* %buildroot%_javadocdir/%name

%files
%doc INSTALL LICENSE LIMITATIONS README TODO
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Sun Jul 03 2005 Vladimir Lettiev <crux@altlinux.ru> 0.9.4-alt0.2beta
- added xml-commons-apis to classpath
- changed rpmgroup of javadoc package

* Fri May 06 2005 Vladimir Lettiev <crux@altlinux.ru> 0.9.4-alt0.1beta
- Initial build for ALT Linux Sisyphus

